Save a sov import data:param sov_import: SovImport instance:return: the sov import data id
create_sov › Request Body
create_sov › Responses
200
success
boolean
message
string[]
data
object
delete_sov
POST
/api/v2/statement_of_value/delete_sov
Code
Deletes a sov import:param sov_import_id: the sov import id to delete:return: the sov import data id
delete_sov › Request Body
delete_sov › Responses
200
success
boolean
message
string[]
data
object
delete_sov_file
POST
/api/v2/statement_of_value/delete_sov_file
Code
Deletes the previous file associated to the sov import data:param file_id: the file id to delete
delete_sov_file › Request Body
delete_sov_file › Responses
200
success
boolean
message
string[]
data
object
execute_sov_job
POST
/api/v2/statement_of_value/execute_sov_job
Code
Starts an SoV import job:param sov_import_id: the sov import data id to execute the job:returns: sov_import
execute_sov_job › Request Body
execute_sov_job › Responses
200
success
boolean
message
string[]
data
object
export_sov_template
POST
/api/v2/statement_of_value/export_sov_template
Code
Exports an SoV file:param policy_type_id: the id of the policy type to use as template.:param policy_numbers: the list of policy numbers to export. Can be empty.:return: the sov file
export_sov_template › Request Body
policy_type_id
policy_numbers
export_sov_template › Responses
200
success
boolean
message
string[]
data
object
get_policies_from_sov
POST
/api/v2/statement_of_value/get_policies_from_sov
Code
Gets the policies from a sov import data:param page: the page number:param page_size: the page size:param sov_import_id: the sov import data id to get the policies associated to it:return: the policies list
get_policies_from_sov › Request Body
get_policies_from_sov › Responses
200
success
boolean
message
string[]
data
object
get_sov_info
POST
/api/v2/statement_of_value/get_sov_info
Code
Get the info of a SOVParameters----------sov_id: the sov idReturns-------dict The sov data
get_sov_info › Request Body
get_sov_info › Responses
200
success
boolean
message
string[]
data
object
get_sovs
POST
/api/v2/statement_of_value/get_sovs
Code
Gets the list of sov data:return: the list of sov import data